%{?!python:%define python python}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedNames

Name:           %{python}-twisted-names
Version:        0.4.0
Release:        3%{?dist}
Summary:        A Twisted DNS implementation

Group:          Development/Libraries
License:        MIT
URL:            http://www.twistedmatrix.com
Source0:        http://tmrc.mit.edu/mirror/twisted/Names/0.4/TwistedNames-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{python}-twisted-core >= 2.5.0
BuildRequires:  %{python}-devel

Requires:       %{python}-twisted-core >= 2.5.0

# a noarch-turned-arch package should not have debuginfo
%define debug_package %{nil}

%description
Twisted is an event-based framework for internet applications.

Twisted Names is both a domain name server as well as a client
resolver library. Twisted Names comes with an "out of the box"
nameserver which can read most BIND-syntax zone files as well as a
simple Python-based configuration format. Twisted Names can act as an
authoritative server, perform zone transfers from a master to act as a
secondary, act as a caching nameserver, or any combination of
these. Twisted Names' client resolver library provides functions to
query for all commonly used record types as well as a replacement for
the blocking gethostbyname() function provided by the Python stdlib
socket module.

%prep
%setup -n %{origname}-%{version} -q
chmod 644 doc/examples/dns-service.py
chmod 644 doc/examples/gethostbyname.py

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitearch}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_libexecdir}/twisted-dropin-cache

%postun -p %{_libexecdir}/twisted-dropin-cache

%files
%defattr(-,root,root,-)
%doc README LICENSE doc/*

%{python_sitearch}/twisted/names/

%{python_sitearch}/twisted/plugins/twisted_names.py*

%if 0%{?fedora} >= 9
  %{python_sitearch}/Twisted_Names-%{version}-py2.5.egg-info
%endif

%changelog
* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 0.4.0-3
- Fix the egg info, drop the pyver stuff.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-2
- Autorebuild for GCC 4.3

* Fri Aug 31 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-1
- updated to latest version

* Thu Dec 14 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-3
- add python-devel BR
- chmod the examples

* Tue Sep 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-2
- no longer ghost .pyo files
- rebuild dropin.cache

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-1
- new upstream release
- remove noarch
- remove dependency on flow

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

